Get deprecation information

  • GET /{index}/_migration/deprecations
  • GET /_migration/deprecations
Auth

Returns information about deprecated features which are in use in the cluster. The reported features include cluster, node, and index level settings that will be removed or changed in the next major version. You must address the reported issues before upgrading to the next major version. However, no action is required when upgrading within the current major version. Deprecated features remain fully supported and will continue to work in the current version, and when upgrading to a newer minor or patch release in the same major version. Use this API to review your usage of these features and migrate away from them at your own pace, before upgrading to a new major version.

Note

This API is designed for indirect use by the Upgrade Assistant. We recommend learning about deprecated features using the Upgrade Assistant rather than calling this API directly.

Required authorization

Cluster privileges manage

Path parameters

index string optional

Comma-separate list of data streams or indices to check. Wildcard (*) expressions are supported.

Leave it out to use /_migration/deprecations.

Response

application/json
cluster_settings object[] required

Cluster-level deprecation warnings.

details string

Optional details about the deprecation warning.

level enum required

The level property describes the significance of the issue.

Supported values include:

  • none
  • info
  • warning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.
  • critical: You cannot upgrade without fixing this problem.
Values: none info warning critical
message string required

Descriptive information about the deprecation warning.

url string required

A link to the breaking change documentation, where you can find more information about this change.

resolve_during_rolling_upgrade boolean required
_meta map string to object
index_settings map string to object required

Index warnings are sectioned off per index and can be filtered using an index-pattern in the query. This section includes warnings for the backing indices of data streams specified in the request path.

data_streams map string to object required
node_settings object[] required

Node-level deprecation warnings. Since only a subset of your nodes might incorporate these settings, it is important to read the details section for more information about which nodes are affected.

details string

Optional details about the deprecation warning.

level enum required

The level property describes the significance of the issue.

Supported values include:

  • none
  • info
  • warning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.
  • critical: You cannot upgrade without fixing this problem.
Values: none info warning critical
message string required

Descriptive information about the deprecation warning.

url string required

A link to the breaking change documentation, where you can find more information about this change.

resolve_during_rolling_upgrade boolean required
_meta map string to object
ml_settings object[] required

Machine learning-related deprecation warnings.

details string

Optional details about the deprecation warning.

level enum required

The level property describes the significance of the issue.

Supported values include:

  • none
  • info
  • warning: You can upgrade directly, but you are using deprecated functionality which will not be available or behave differently in the next major version.
  • critical: You cannot upgrade without fixing this problem.
Values: none info warning critical
message string required

Descriptive information about the deprecation warning.

url string required

A link to the breaking change documentation, where you can find more information about this change.

resolve_during_rolling_upgrade boolean required
_meta map string to object
templates map string to object required

Template warnings are sectioned off per template and include deprecations for both component templates and index templates.

ilm_policies map string to object required

ILM policy warnings are sectioned off per policy.

repositories map string to object required

Snapshot repository warnings are sectioned off per repository.